---
agentTools:
  projectIndex: https://coinglass.readme.io/llms.txt
---

# Option Vol History

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://open-api.coinglass.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "coinglassSecret"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/public/v2/option/vol/history": {
      "get": {
        "summary": "Option Vol History",
        "description": "",
        "operationId": "option-vol-history",
        "parameters": [
          {
            "name": "symbol",
            "in": "query",
            "description": "pass the coin symbol eg. BTC",
            "required": true,
            "schema": {
              "type": "string",
              "default": "BTC"
            }
          },
          {
            "name": "currency",
            "in": "query",
            "description": "pass the unit eg. USD or symbol",
            "required": true,
            "schema": {
              "type": "string",
              "default": "USD"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "RESPONSE BODY": {
                    "value": "{\n                \"dateList\":[],\n                \"priceList\":[],\n                \"dataMap\":{\n                    \"Deribit\":[],\n                    \"CME\":[],\n                    \"Okex\":[],\n                    \"Huobi\":[],\n                }\n}"
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "63734bb38f9bdf00545e7f8a:6486f26ac9309c005fe8e961"
}
```